<div class="col-md-12">
    <div class="card">
      <div class="card-header header-page">
        <h4 class="card-title"> Tasks Managment</h4>
        <a class="btn btn-primary btn-round" routerLink="/newtask">New Task <i class="nc-icon nc-simple-add"></i></a> 
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table class="table">
            <thead class=" text-primary">
              <th *ngFor="let  item of headerRow">
                {{item}}
              </th>
            </thead>
            <tbody>
              <tr *ngFor="let item of data ">
                <td> {{item.id}}  </td>
                <td> {{item.description}}  </td>
                <td> {{item.deadline}}  </td>
                <td> <button [ngClass]="{'btn-success': item.is_end, 'btn-danger': !item.is_end}" class="btn btn-round" > <i [ngClass]="{'nc-check-2': item.is_end, 'nc-simple-remove': !item.is_end}" class="nc-icon "></i></button>  </td>
                <td> <a class="btn btn-info btn-round"  [routerLink]="['/taskdetails',item.id]">View</a>  </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>